local equipment_types = {"night-vision-equipment","energy-shield-equipment","battery-equipment","solar-panel-equipment","generator-equipment","active-defense-equipment","movement-bonus-equipment","roboport-equipment"}

for _,type in pairs(equipment_types) do
	for _,equipment in pairs(data.raw[type]) do
		for x = 1,equipment.shape.width do
			for y = 1,equipment.shape.height do
			
				local w = equipment.sprite.width/equipment.shape.width
				local h = equipment.sprite.height/equipment.shape.height

				local style = 
				{
					type = "checkbox_style",
					font = "default-button", 
					align = "center",
					scalable = false,
					width = 32,
					height = 32,
					top_padding = 0, 
					right_padding = 0, 
					bottom_padding = 0, 
					left_padding = 0, 
					flow_style = 
					{
						horizontal_spacing = 0, 
						vertical_spacing = 0
					},
					default_background =
					{
						filename = equipment.sprite.filename,
						priority = "extra-high-no-scale", 
						width = w,
						height = h,
						x = (x-1)*w,
						y = (y-1)*h
					},
					hovered_background =
					{
						filename = equipment.sprite.filename,
						priority = "extra-high-no-scale", 
						width = w,
						height = h,
						x = (x-1)*w,
						y = (y-1)*h
					},
					clicked_background =
					{
						filename = equipment.sprite.filename,
						priority = "extra-high-no-scale", 
						width = w,
						height = h,
						x = (x-1)*w,
						y = (y-1)*h
					},
					checked =
					{
						filename = "__core__/graphics/gui.png",
						priority = "extra-high-no-scale",
						width = 32,
						height = 32,
						x = 43,
						y = 109
					}
				}
				data.raw["gui-style"].default["es-icon-"..equipment.name.."x"..x.."y"..y] = style
			end
		end
	end
end