modIcon = "__Equipment-Swap__/graphics/"

data.raw["gui-style"].default["equipment-open-button"] =
{
	type = "button_style",
	parent = "button_style",
	width = 33,
	height = 33,
	top_padding = 6,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	font = "default",      
	left_click_sound =
	{
		{
			filename = "__core__/sound/gui-click.ogg",
			volume = 1
		}
	},
	default_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 0
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",      
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 74
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 148
		}
	}
}

data.raw["gui-style"].default["equipment-combat-button"] =
{
	type = "button_style",
	parent = "button_style",
	width = 33,
	height = 33,
	top_padding = 6,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	font = "default",      
	left_click_sound =
	{
		{
			filename = "__core__/sound/gui-click.ogg",
			volume = 1
		}
	},
	default_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 0,
			y = 74
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",      
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 74,
			y = 74
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 148,
			y = 74
		}
	}
}

data.raw["gui-style"].default["equipment-default-button"] =
{
	type = "button_style",
	parent = "button_style",
	width = 33,
	height = 33,
	top_padding = 6,
	right_padding = 0,
	bottom_padding = 0,
	left_padding = 0,
	font = "default",      
	left_click_sound =
	{
		{
			filename = "__core__/sound/gui-click.ogg",
			volume = 1
		}
	},
	default_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 0,
			y = 148
		}
	},
	hovered_graphical_set =
	{
		type = "monolith",      
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 74,
			y = 148
		}
	},
	clicked_graphical_set =
	{
		type = "monolith",
		monolith_image =
		{
			filename = modIcon.."top-icon.png",
			priority = "extra-high-no-scale",
			width = 72,
			height = 72,
			x = 148,
			y = 148
		}
	}
}


data.raw["gui-style"].default["es-icon-empty"] =
{
	type = "checkbox_style",
	font = "default-button", 
	align = "center",
	scalable = false, 
	width = 32,
	height = 32,
	top_padding = 0, 
	right_padding = 0, 
	bottom_padding = 0, 
	left_padding = 0,
	flow_style = 
	{
		horizontal_spacing = 0, 
		vertical_spacing = 0
	},
	default_background = 
	{
		filename = "__core__/graphics/gui.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
		x = 43,
		y = 77
	},
	hovered_background =
	{
		filename = "__core__/graphics/gui.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
		x = 43,
		y = 77
	},
	clicked_background =   
	{
		filename = "__core__/graphics/gui.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
		x = 43,
		y = 77
	},
	checked =
	{
		filename = "__core__/graphics/gui.png",
		priority = "extra-high-no-scale",
		width = 32,
		height = 32,
		x = 43,
		y = 109
	}
}


data.raw["gui-style"].default["es-grid-style"] = 
{
	type = "table_style",
	horizontal_spacing = 0,
	vertical_spacing = 0,
	top_padding = 0,
	left_padding = 2,
	right_padding = 2,
	bottom_padding = 8,
}

data.raw["gui-style"].default["es-flow-style"] = 
{
	type = "flow_style",
	parent = "flow_style",
	horizontal_spacing = 5,
	vertical_spacing = 5,
}

data.raw["gui-style"].default["es-text-button-style"] =
{
	type = "button_style",
	parent = "button_style",
	font = "default-semibold",
	left_click_sound =
	{
		{
			filename = "__core__/sound/gui-click.ogg",
			volume = 1
		}
	}
}